ssclient

## Class FileList

- java.lang.Object
- - ssclient.FileList

-     public class FileList
      extends java.lang.Object

  A `FileList` manages a Swing `JList` which it uses to display the names of all files in a given directory, whose identity may change from time to time.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FileList.SelectionReceiver` "File selected" event handler interface.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.RenderingHints` | `AA_HINTS` Rendering hints to switch anti-aliasing on.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileList(java.lang.String fpath)` Constructs a new file list, starting with the given directory if it is not `null`, otherwise uses the user's current directory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JScrollPane` | `getFilesScroller(int wpxls, int nitms)` Returns this list's scroller having first configured its size to match the given width (in pixels) and number of items.
    `void` | `refresh()` Refreshes the display of this list.
    `void` | `setFolder(java.io.File fldr)` Sets this list's directory to be the one given.
    `void` | `setSelectionReceiver(FileList.SelectionReceiver srcvr)` Attaches the given selection receiver to this list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AA_HINTS

          public static final java.awt.RenderingHints AA_HINTS

      Rendering hints to switch anti-aliasing on.

  - ### Constructor Detail

    - #### FileList

          public FileList(java.lang.String fpath)

      Constructs a new file list, starting with the given directory if it is not `null`, otherwise uses the user's current directory.

  - ### Method Detail

    - #### getFilesScroller

          public javax.swing.JScrollPane getFilesScroller(int wpxls,
                                                          int nitms)

      Returns this list's scroller having first configured its size to match the given width (in pixels) and number of items.

    - #### setSelectionReceiver

          public void setSelectionReceiver(FileList.SelectionReceiver srcvr)

      Attaches the given selection receiver to this list.

    - #### setFolder

          public void setFolder(java.io.File fldr)

      Sets this list's directory to be the one given.

    - #### refresh

          public void refresh()

      Refreshes the display of this list.